Installing metaSEM

5 replies [Last post]
rbunuan's picture
Offline
Joined: 02/26/2011
Mike Cheung's picture
Offline
Joined: 10/08/2009
Hi Rommel, metaSEM depends on

Hi Rommel,

metaSEM depends on both OpenMx, ellipse and MASS. You need to install them first. Then you may download either the Windows binary or the source of the metaSEM package. There is a section on how to install metaSEM in http://courses.nus.edu.sg/course/psycwlm/internet/metaSEM/index.html

Feel free to post your questions if you have problems during the installation.

Mike

Dustin B's picture
Offline
Joined: 03/16/2014
installation difficulties cont.

Hello!

I, too, am new to OpenMx (and R for that matter), but I am very interested in the "metaSEM" package.

Per the preceding comment, I installed OpenMx, ellipse, and MASS, and followed the instructions in the metaSEM install section. Nevertheless, I am having difficulties installing the package on my Mac using both the in session command, as well as installing via my terminal.

When I attempt to install the package in R, I received the following message:

Warning: invalid package ‘metaSEM_0.8-4.tar.gz’
Error: ERROR: no packages specified
Warning in install.packages :
installation of package ‘metaSEM_0.8-4.tar.gz’ had non-zero exit status

Guidance for a newcomer such as myself would be appreciated!

Best,

DB

Mike Cheung's picture
Offline
Joined: 10/08/2009
Hi, Dustin. Since I don't use

Hi, Dustin.

Since I don't use Mac, I will try my best to "guess" the steps.

1) Download metaSEM_0.8-4.tar.gz somewhere, say /Downloads/metaSEM_0.8-4.tar.gz
2) Inside R, run
install.packages(pkgs="/Downloads/metaSEM_0.8-4.tar.gz", repos=NULL, type="source")

Maybe other Mac users can help.

Regards,
Mike

Dustin B's picture
Offline
Joined: 03/16/2014
That did the trick. Thanks,

That did the trick. Thanks, Mike!

DB

rbunuan's picture
Offline
Joined: 02/26/2011
MetaSEM

Thank you so much for the instructions, Sir! I got it running already.

Rommel